import 'package:yoshi_papas_app/models/producto_model.dart';

import 'basico_model.dart';

class PedidoProductoToping extends Basico {
  int? idPedido;
  int? idProducto;
  int? idToping;
  String? costoUnitario;
  String? descuento;
  int? cantidad;
  int? terminar;
  String? comentario;
  String? cancelado;

  PedidoProductoToping({
    super.id,
    this.idPedido,
    this.idProducto,
    this.costoUnitario,
    this.descuento,
    this.cantidad,
    this.terminar,
    this.comentario,
    this.cancelado,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idPedido': idPedido,
      'idProducto': idProducto,
      'costoUnitario': costoUnitario,
      'descuento': descuento,
      'cantidad': cantidad,
      'terminar': terminar,
      'comentario': comentario,
      'cancelado': cancelado,
    }..addAll(super.toJson());
  }

  PedidoProductoToping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idPedido = Basico.parseInt(json['idPedido']);
    idProducto = Basico.parseInt(json['idProducto']);
    costoUnitario = Basico.parseString(json['costoUnitario']);
    descuento = Basico.parseString(json['descuento']);
    cantidad = Basico.parseInt(json['cantidad']);
    terminar = Basico.parseInt(json['terminar']);
    comentario = Basico.parseString(json['comentario']);
    cancelado = Basico.parseString(json['cancelado']);
  }
}
